%define extraversion %nil

Summary:	Command line utilities to access digital cameras
Name:		gphoto2
Version:	2.5.2
Release:	%mkrel 2
License:	GPL+
Group:		Graphics/Photography
Url:		http://sourceforge.net/projects/gphoto/
Source0:	http://heanet.dl.sourceforge.net/sourceforge/gphoto/%{name}-%{version}%{?extraversion:%extraversion}.tar.bz2
Requires:	libgphoto-common
BuildRequires:	gphoto2-devel >= %{version}
BuildRequires:	cdk-devel
BuildRequires:	libexif-devel >= 0.3.2
BuildRequires:	jpeg-devel
BuildRequires:	ncurses-devel
BuildRequires:	libaa-devel
BuildRequires:	libpopt-devel
BuildRequires:	readline-devel

%description
The gPhoto2 project is a universal, free application and library
framework that lets you download images from several different
digital camera models, including the newer models with USB
connections. Note that
a) for some older camera models you must use the old "gphoto" package.
b) for USB mass storage models you must use the driver in the kernel.

This package contains the command-line utility gphoto2.

%prep
%setup -q -n %{name}-%{version}%{?extraversion:%extraversion}

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc NEWS ChangeLog README TODO
%{_bindir}/*
%{_mandir}/*/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.5.2-2.mga4
+ Revision: 523501
- Mageia 4 Mass Rebuild

* Sat May 11 2013 guillomovitch <guillomovitch> 2.5.2-1.mga3
+ Revision: 413016
- new version

* Sat Jan 12 2013 umeabot <umeabot> 2.5.0-3.mga3
+ Revision: 352521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 2.5.0-2.mga3
+ Revision: 322373
- clean spec
- fix group

* Sun Aug 05 2012 guillomovitch <guillomovitch> 2.5.0-1.mga3
+ Revision: 278517
- new version

* Mon Jun 04 2012 fwang <fwang> 2.4.14-1.mga3
+ Revision: 253867
- new version 2.4.14

* Mon Jun 20 2011 tv <tv> 2.4.11-1.mga2
+ Revision: 110698
- new release

* Sat Jan 22 2011 blino <blino> 2.4.10-2.mga1
+ Revision: 33321
- fix requires

* Sat Jan 15 2011 blino <blino> 2.4.10-1.mga1
+ Revision: 18851
- remove old conflicts
- imported package gphoto2


* Thu Sep 23 2010 Funda Wang <fwang@mandriva.org> 2.4.10-1mdv2011.0
+ Revision: 580779
- update to new version 2.4.10

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 2.4.8

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.7-2mdv2010.1
+ Revision: 488758
- rebuilt against libjpeg v8

* Sun Aug 23 2009 Frederik Himpe <fhimpe@mandriva.org> 2.4.7-1mdv2010.0
+ Revision: 420018
- Update to new version 2.4.7

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4.5-2mdv2010.0
+ Revision: 416657
- rebuilt against libjpeg v7

* Wed May 06 2009 Funda Wang <fwang@mandriva.org> 2.4.5-1mdv2010.0
+ Revision: 372375
- New version 2.4.5

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 2.4.3-2mdv2009.1
+ Revision: 344805
- rebuild for new libreadline

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.4.3-1mdv2009.1
+ Revision: 324733
- update to new version 2.4.3

* Wed Jul 16 2008 Frederic Crozat <fcrozat@mandriva.com> 2.4.2-1mdv2009.0
+ Revision: 236519
- Release 2.4.2

* Thu May 29 2008 Frederic Crozat <fcrozat@mandriva.com> 2.4.1-1mdv2009.0
+ Revision: 212973
- Release 2.4.1

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.4.0-2mdv2008.1
+ Revision: 150231
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 03 2007 Adam Williamson <awilliamson@mandriva.org> 2.4.0-1mdv2008.0
+ Revision: 58526
- drop old obsoletes / provides hackgphoto2 (it's been long enough)
- correct license (it's GPL not LGPL, whatever the template spec says) and use Fedora license policy
- spec clean
- new release 2.4.0

* Wed Jun 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.3.1-2mdv2008.0
+ Revision: 38595
- Rebuild with libslang2.
- Small cleanups.


* Sat Dec 30 2006 Pascal Terjan <pterjan@mandriva.org> 2.3.1-1mdv2007.0
+ Revision: 102841
- 2.3.1

* Mon Dec 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.3.0-1mdv2007.1
+ Revision: 98462
- 2.3.0

* Tue Dec 05 2006 Jérôme Soyer <saispo@mandriva.org> 2.2.0-3mdv2007.1
+ Revision: 91035
- Import gphoto2

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.2.0-3mdv2007.0
- Rebuild

* Mon Jul 03 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.2.0-2mdv2007.0
- fix buildrequires
- fix macro-in-%%changelog
- fix prereq-use
- clean %%doc
- fix mixed-use-of-spaces-and-tabs

* Sat Jul 01 2006 Till Kamppeter <till@mandriva.com> 2.2.0-1mdv2007.0
- Updated to GPhoto2 2.2.0.

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 2.1.99-3mdk
- Added versioned "BuildRequires: libgphoto-devel >= 2.1.99", as
  gphoto2 2.1.99 does not work with older versions of libgphoto2.

* Mon May 15 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1.99-2mdk
- add BuildRequires: libpopt-devel

* Fri May 12 2006 Till Kamppeter <till@mandriva.com> 2.1.99-1mdk
- Updated to GPhoto2 2.1.99.
- Introduced %%mkrel.

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 2.1.6-3mdk
- drop hotplug requirement, libgphoto-hotplug requires udev

* Tue Jun 28 2005 Till Kamppeter <till@mandriva.com> 2.1.6-2mdk
- Updated to GPhoto2 2.1.6.

* Fri Apr 01 2005 Till Kamppeter <till@mandrakesoft.com> 2.1.5-3mdk
- Added "Requires: libgphoto-hotplug" (bug 15135).

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.5-2mdk
- rebuild for new readline
- get rid of comments stating the obvious

* Thu Dec 16 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.5-1mdk
- Updated to GPhoto2 2.1.5.

* Sat Nov 27 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.5-0.rc1.1mdk
- Updated to GPhoto2 2.1.5rc1.

* Sat Jul 24 2004 Marcel Pol <mpol@mandrake.org> 2.1.4-2mdk
- build against new slang

* Fri Jan 23 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.4-1mdk
- Updated to GPhoto2 2.1.4.

* Wed Jan 14 2004 Till Kamppeter <till@mandrakesoft.com> 2.1.4-0.pre1.1mdk
- Updated to GPhoto2 2.1.4pre1.

